Boolean points = true, A = true, B = true, C = true, D = true, E = true; 
Boolean pointA = true, pointB = true, pointC = true, pointD = true, pointE = true;

// colors
 
color c1 = #f4a4c4; // light magenta
color c2 = #d80e5f; // dark magenta
color c3 = #f4f2a4; // light yellow 
color c4 = #d8d40e; // dark yellow 
color c5 = #a4f4a8; // light green 
color c6 = #076e4a; // dark green
color c7 = #a4f2f4; // light blue
color c8 = #0e1bd8; // dark blue
color c9 = #cda4f4; // light purple
color c10 = #760ed8; // dark purple

// beggining color for linear gradient
color begColor(float number_checkouts){
  color color_beg = #FFFFFF;
  
  if(number_checkouts >= 1 && number_checkouts <= 10){
  color_beg = c1; 
  }
  
  else if(number_checkouts >= 11 && number_checkouts <= 20){
  color_beg = c3; 
  }

  else if(number_checkouts >= 21 && number_checkouts <= 30){
  color_beg = c5; 
  }

  else if(number_checkouts >= 31 && number_checkouts <= 40){
  color_beg = c7; 
  }

  else if(number_checkouts >= 41){
  color_beg = c9; 
  }
  return color_beg;
}


// ending color for linear gradient
color endColor(float number_checkouts){
  color color_end = #FFFFFF;
  
  if(number_checkouts >= 1 && number_checkouts <= 10){
  color_end = c2; 
  }
  
  else if(number_checkouts >= 11 && number_checkouts <= 20){
  color_end = c4; 
  }

  else if(number_checkouts >= 21 && number_checkouts <= 30){
  color_end = c6; 
  }

  else if(number_checkouts >= 31 && number_checkouts <= 40){
  color_end = c8; 
  }

  else if(number_checkouts >= 31){
  color_end = c10; 
  }
  return color_end;
}


void keyPressed() {

// press p to remove end points of the lines
  if (key == 'p') {
    points = !points; 
  }
  if (key == '1') {
    A = !A; 
    pointA = !pointA;
  }
  if (key == '2') {
    B = !B; 
    pointB = !pointB;
  }
  if (key == '3') {
    C = !C; 
    pointC = !pointC;
  }
  if (key == '4') {
    D = !D;
    pointD = !pointD;
  }
  if (key == '5') {
    E = !E; 
    pointE = !pointE;
  }
  if (key == 'x') {
    textselect = !textselect; 
  }  
  
  //horizontal rotation
  if (key =='<') {
    cam.rotateY(0.45); 
    }
  if (key =='>') {
    cam.rotateY(-0.45); 
    }
    
  //vertical rotation
  if (key =='w') {
    cam.rotateX(-0.45); 
    }
  if (key =='s') {
    cam.rotateX(0.45); 
    }
    
  // z rotation 
  if (key =='o') {
    cam.rotateZ(-0.45); 
    }
  if (key =='i') {
    cam.rotateZ(0.45); 
    }
    
}
