/***************************************************************************************************
SELECT DISTINCT
    B.title, 
    MONTH(A.first_cout) AS x_0, 
    DAY(A.first_cout) AS y_0,
    RIGHT(YEAR(A.first_cout),2) AS z_0,
    MONTH(A.last_cin) AS x_1, 
  DAY(A.last_cin) AS y_1, 
    RIGHT(YEAR(A.last_cin),2) AS z_1, 
    B.item_cat, 
    A.number_checkouts
FROM
    (SELECT DISTINCT
        (bibNumber), MIN(cout) AS first_cout, MAX(cin) AS last_cin, COUNT(cout) as number_checkouts
    FROM
        spl_2016.inraw
    GROUP BY 1
    LIMIT 10000) A
        INNER JOIN
    (SELECT 
        bibNumber,
            title,
            CASE
                WHEN itemtype LIKE '%bk' THEN 'book'
                WHEN itemtype LIKE '%cd' THEN 'cd'
                WHEN itemtype LIKE '%per' THEN 'magazine'
                WHEN itemtype LIKE '%dvd' THEN 'dvd'
                WHEN itemtype LIKE '%vhs' THEN 'video (vhs)'
                ELSE 'other'
            END item_cat
    FROM
        spl_2016.inraw) B ON A.bibNumber = B.bibNumber

WHERE
    YEAR(A.first_cout) > 2005
***************************************************************************************************/
